fmt_uint(3)

NAME
fmt_uint - write an ASCII representation of an unsigned integer

SYNTAX
#include <fmt.h> unsigned int fmt_uint(char *dest,unsigned int source);

DESCRIPTION
fmt_uint writes an ASCII representation ('0' to '9', base 10) of source to dest and returns the number of bytes written. fmt_uint does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_uint returns the number of bytes it would have written. For convenience, fmt.h defines the integer FMT_ULONG to be big enough to contain every possible fmt_uint output plus \0.

SEE ALSO
scan_uint(3), fmt_uint0(3)